fspaging.d(1m)

NAME
fspaging.d - file system read/write and paging tracing. Uses DTrace.

SYNOPSIS
fspaging.d

DESCRIPTION
This traces file related activity: system call reads and writes, vnode logical read and writes (fop), vnode putpage and getpage activity, and disk I/O. It can be used to examine the behaviour of each I/O layer, from the syscall interface to what the disk is doing. Behaviour such as read-ahead, and max I/O size breakup can be observed. This is a verbose version of fsrw.d, as this also traces paging activity. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

Trace file system read/write/paging events,
    # fspaging.d

FIELDS

Event
    traced event (see EVENTS below)

Device
    device, for disk I/O

RW  either Read or Write

Size
    size of I/O in bytes

Offset
    offset of I/O in kilobytes

Path
    path to file on disk

EVENTS

sc-read
    system call read

sc-write
    system call write

fop_read
    logical read

fop_write
    logical write

fop_getpage
    logical get page

fop_putpage
    logical put page

disk_io
    physical disk I/O

disk_ra
    physical disk I/O, read ahead

IDEA
Richard McDougall, Solaris Internals 2nd Ed, FS Chapter.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
fspaging.d will trace until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
fsrw.d(1M), dtrace(1M)